Description:

Extends Faces to meet and trims the faces to each other. If input faces intersect without extending, the selection point indicates the side to keep

Syntax:
public static bool ExtendBrepFacesToConnect(
BrepFace Face0,
int edgeIndex0,
BrepFace Face1,
int edgeIndex1,
double tol,
double angleTol,
out Brep outBrep0,
out Brep outBrep1
)
Parameters:
  • Face0
  • Type: BrepFace
  • [in] first face to connect
  • edgeIndex0
  • Type: int
  • [in] edge to extend.
  • edgeIndex1
  • Type: int
  • [in] edge to extend.
  • tol
  • Type: double
  • [in] tolerance used for intersecting faces and simplifing extension curve
  • angleTol
  • Type: double
  • [in] angle tolerance in radians used for simplifying extendsion curve
  • outBrep0
  • Type: Brep
  • [out] first face extended and trimmed to connect with the second face
  • outBrep1
  • Type: Brep
  • [out] second face extended and trimmed to connect with the first face
Returns:
Type: bool
True if valid connection found

Description:

Extends Faces to meet and trims the faces to each other. If input faces intersect without extending, the selection point indicates the side to keep

Syntax:
public static bool ExtendBrepFacesToConnect(
BrepFace Face0,
Point3d f0_sel_pt,
BrepFace Face1,
Point3d f1_sel_pt,
double tol,
double angleTol,
out Brep outBrep0,
out Brep outBrep1
)
Parameters:
  • Face0
  • Type: BrepFace
  • [in] first face to connect
  • f0_sel_pt
  • Type: Point3d
  • selection point on first face near the edge to extend.
  • f1_sel_pt
  • Type: Point3d
  • selection point on second face near the edge to extend.
  • tol
  • Type: double
  • [in] tolerance used for intersecting faces and simplifing extension curve
  • angleTol
  • Type: double
  • [in] angle tolerance in radians used for simplifying extendsion curve
  • outBrep0
  • Type: Brep
  • [out] first face extended and trimmed to connect with the second face
  • outBrep1
  • Type: Brep
  • [out] second face extended and trimmed to connect with the first face
Returns:
Type: bool
True if valid connection found

/
/
/
ExtendBrepFacesToConnect

ExtendBrepFacesToConnect method

Class:  Rhino.Geometry.Brep

Nothing found